package com.miaxis.wx.service;


import com.miaxis.common.config.FeignConfig;
import com.miaxis.common.core.domain.DyUserInfo;
import com.miaxis.wx.dto.DyTokenDTO;
import com.miaxis.wx.dto.DyUserInfoDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 *
 * 抖音
 */
@FeignClient(name="dyService",
        url = "https://open.douyin.com",configuration = FeignConfig.class)
@Component
public interface DyService {
    /**
     *  获取openid
     * @return
     */
    @PostMapping(value = "/oauth/access_token")
    String getDyToken(@RequestBody DyTokenDTO dyTokenDTO);



    /**
     * 获取用户信息
     */
    @PostMapping(value = "/oauth/userinfo")
    String getUserInfo(
            @RequestBody DyUserInfoDTO dyUserInfoDTO
    );


}
